#ifndef STEERING_CONTROL_H__
#define STEERING_CONTROL_H__

#include "common.h"

typedef struct {
    int id;
    char name[32];
    void (*mqtt_recv_func)(int *buf);       // 方向盘MQTT数据处理（buf[0]=mode, buf[1]=val）
    void (*smooth_process_func)(void);      // 线程平滑处理（速度+转向合并）
} SteeringControl;

SteeringControl* get_steering_control(void);

bool steering_control_process(void);
void steering_mqtt_recv(cJSON *body);

#endif
